#
# spec file for package nasm
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           nasm
BuildRequires:  ghostscript_any
Url:            http://nasm.sourceforge.net/
License:        BSD
Group:          Development/Languages/Other
AutoReqProv:    on
Version:        2.11.02
Release:        2.858
Summary:        Netwide Assembler (An x86 Assembler)
Source:         nasm-%version.tar.bz2
PreReq:         %install_info_prereq
%if 0%{?suse_version} >= 1230
BuildRequires:	texinfo
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
NASM is a prototype general-purpose x86 assembler. It can currently
output several binary formats, including ELF, a.out, Win32, and OS/2.

Read the licence agreement in /usr/share/doc/packages/nasm/Licence.



Authors:
--------
    Julian Hall <Jules@acris.co.uk>
    Simon Tatham <anakin@pobox.com>
    Nelson Rush <palisade@users.sourceforge.net>
    Frank Kotler <fbkotler@users.sf.net>
    Stephen Silver <nasm@argentum.freeserve.co.uk>
    John Coffman <johninsd@users.sourceforge.net>
    Yuri Zaporogets <yuriz@users.sourceforge.net>
    H. Peter Anvin <hpa@zytor.com>
    John Fine <johnfine@earthlink.net>
    Kendall Bennet <KendallB@scitechsoft.com>
    Gary Clark
    Andrew Crabtree
    Rafael R. Sevilla <dido@pacific.net.ph>
    Jaime Tejedor GXmez, aka Metalbrain <metalbrain_coder@gmx.net>
    James Seter <pharos@zsnes.com>
    Edward J. Beroset <beroset@mindspring.com>
    Stanislav Karchebny, aka berkus, madfire, daemonhunter <madfire@users.sourceforge.net>
    Debbie Wiles, aka debs <debs@dwiles.demon.co.uk>
    Trevor Woerner
    Michael K. Ter Louw <mterlo1@uic.edu>
    Martin Wawro
    Alexei Frounze <alexfru@users.sourceforge.net>
    Keith Kanios, aka SpooK <keith@kanios.net>
    Chuck Crayne <ccrayne@users.sourceforge.net>

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr --infodir=%{_infodir} --mandir=%{_mandir}
make all doc || :

%install
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT/%{_mandir}/man1
install -d -m 755 $RPM_BUILD_ROOT/%{_docdir}/nasm
install -d -m 755 $RPM_BUILD_ROOT/%{_docdir}/nasm/rdoff
install -d -m 755 $RPM_BUILD_ROOT/%{_infodir}
make INSTALLROOT=$RPM_BUILD_ROOT install_everything docdir=%{_docdir}/nasm
make INSTALLROOT=$RPM_BUILD_ROOT install_doc docdir=%{_docdir}/nasm
install -m 644 AUTHORS CHANGES ChangeLog LICENSE INSTALL TODO README \
	$RPM_BUILD_ROOT/%{_docdir}/nasm
install -m 644 rdoff/README rdoff/doc/* \
	$RPM_BUILD_ROOT/%{_docdir}/nasm/rdoff
rm -f $RPM_BUILD_ROOT/%_docdir/nasm/*.ps

%clean
[ "$RPM_BUILD_ROOT" != "/" -a -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%files
%defattr(-,root,root)
/usr/bin/*
%doc %{_docdir}/nasm
%doc %{_mandir}/man1/*.1.gz
%doc %{_infodir}/nasm*

%changelog
* Sun Feb 23 2014 cs@linux-administrator.com
- Update to 2.11.02
* Sun Jul 29 2012 cs@linux-administrator.com
- Update to 2.10.03
